Subject: Re: [bug#30831] [PATCH] gnu: rust: Update rust from 1.22.1 release to 1.24.1

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 27 Mar 2018 21:56:12 +0200

Marius Bakke <[email-masked]> writes:

>> (What Mozilla recommends is we compile Rust1, use Rust2 to compile Rust3, use
>> Rust3 to compile Rust4, likewise for each new release)
>
> I think we should heed upstreams advice in that case.  A long bootstrap
> chain is really only a problem during 'core-updates', no?

It’s a problem for people building from source and it makes for a
brittle bootstrap because any of the packages could break.  Having a
long bootstrap chain to debug on core-updates is no fun — I’m saying
this as someone who has just fixed problems in the relatively simple
bootstrap chain for Java.

> IIUC mrustc only targets x86_64 currently, so I don't expect it to
> become viable for Guix in a good while.

This is a problem, but I do hope that eventually we will be able to use
mrust to bypass an ever-growing chain.

--
Ricardo